Subject: Re: [bug#53295] [PATCH] gnu: Add FFmpeg 5.0.

From: "Leo Famulari" <[email-masked]>
Date: Mon, 23 May 2022 21:03:20 -0400

Thank you Marius! I've been distracted and busy offline so I very much appreciate you finishing this work!

On Mon, May 23, 2022, at 13:58, Marius Bakke wrote:
> Ludovic Courtès <[email-masked]> skriver:
>
>> Hi,
>>
>> Leo Famulari <[email-masked]> skribis:
>>
>>> Here's the new major release of FFmpeg.
>>>
>>> We can add it right away and move users over to it incrementally as we
>>> test them — having this new version is useful for people like me who use
>>> FFmpeg directly.
>>>
>>> Also, I always found our FFmpeg packages' use of inheritance to be
>>> confusing when making changes to them, so I didn't use it here.
>>>
>>> * gnu/packages/video.scm (ffmpeg-5): New variable.
>>
>> Could you remove input labels?  (I think ‘guix style’ can’t help because
>> of the conditional in the middle.)
>>
>> That said, it seems to me there’s a lot of duplication here compared to
>> version 4.  So I’d be in favor of inheriting from that one.
>
> I went ahead and pushed this patch in 1cb10f696813ef23678029, with the
> adjustments Ludo recommended + G-expressions; as well as a follow-up
> that makes ffmpeg@4 inherit from it.
>
> Thanks Leo & Ludo!
>
> Attachments:
> * signature.asc